
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// IDLInt16 interface. See IDLByte.h for more info.
//
// 3/29/99 jhrg

// $Log: IDLInt16.h,v $
// Revision 1.2  1999/11/09 05:57:11  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:29  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifndef _IDLInt16_h
#define _IDLInt16_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Int16.h"

class IDLInt16: public Int16 {
public:
    IDLInt16(const string &n = (char *)0);
    virtual ~IDLInt16() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);
    
#if 0
    virtual void print_val(ostream &os, string space = "", 
			   bool print_decl_p = true);
#endif
};

#endif

